#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 41. Other X-based Programs

- Prev

  Inkscape-1.1.2

- Next

  Rox-Filer-2.11

- Up
- Home

# Pidgin-2.14.8

## Introduction to Pidgin

Pidgin is a Gtk+ 2 instant messaging client that can connect with a wide range of networks including Bonjour, ICQ, GroupWise, Jabber/XMPP, IRC, Gadu-Gadu, SILC, SIMPLE, and Zephyr.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/pidgin/pidgin-2.14.8.tar.bz2

- Download MD5 sum: 243ed3a590e38f156fee2e22180f8676

- Download size: 8.3 MB

- Estimated disk space required: 302 MB (with tests and docs)

- Estimated build time: 0.6 SBU (using parallelism=4; with tests and docs)

### Pidgin Dependencies

#### Required

GTK+-2.24.33

#### Recommended

libgcrypt-1.10.0, gstreamer-1.20.0 (required for audio support), and GnuTLS-3.7.3 or nss-3.75

#### Optional

Avahi-0.8 (required for the Bonjour plugin), Cyrus SASL-2.1.27, dbus-1.12.20, Doxygen-1.9.3, evolution-data-server-3.42.4, GConf-3.2.6, Graphviz-2.50.0, libidn-1.38 (required, if you wish to run the test suite), libnsl-2.0.0, NetworkManager-1.34.0, SQLite-3.37.2 (required for the Contact Availability Prediction plugin), startup-notification-0.12, Tk-8.6.12, Farstream (Version 0.1) (required for video and voice support), Gtkspell, libgadu, Meanwhile (required for Sametime protocol support), Mono, SILC Client, SILC Toolkit, Zephyr, and MIT Kerberos V5-1.19.2 (required for Kerberos support in the Zephyr module)

#### Optional (runtime)

xdg-utils-1.1.3

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/pidgin

## Installation of Pidgin

First, fix a test that fails:

    sed '/09-13/s@^@//@' -i libpurple/tests/test_util.c

Compile Pidgin by running the following commands:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --with-gstreamer=1.0 \
                --disable-avahi      \
                --disable-gtkspell   \
                --disable-meanwhile  \
                --disable-idn        \
                --disable-nm         \
                --disable-vv         &&
    make

If you have Doxygen-1.9.3 installed (Graphviz-2.50.0 can be used also) and you wish to create the API documentation, issue:

    make docs

To test the results, issue: make check.

Now, as the `root` user:

    make install &&
    mkdir -pv /usr/share/doc/pidgin-2.14.8 &&
    cp -v README doc/gtkrc-2.0 /usr/share/doc/pidgin-2.14.8

If you created the API documentation, install it using the following commands as the `root` user:

    mkdir -pv /usr/share/doc/pidgin-2.14.8/api &&
    cp -rv doc/html/* /usr/share/doc/pidgin-2.14.8/api

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK+-2.24.33 or GTK+-3.24.31 installed (for the icon cache) and desktop-file-utils-0.26 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--with-gstreamer=1.0`: Remove this switch and add `--disable-gstreamer` if you've not installed gstreamer-1.20.0.

`--disable-avahi`: Remove this switch if you've installed Avahi-0.8.

`--disable-gtkspell`: Remove this switch if you've installed Gtkspell and wish to enable spellchecking support.

`--disable-meanwhile`: Remove this switch if you've installed Meanwhile.

`--disable-idn`: Remove this switch if you've installed libidn-1.38.

`--disable-nm`: Remove this switch if you've installed NetworkManager-1.34.0.

`--disable-vv`: Remove this switch if you've installed Farstream (Version 0.1) and wish to enable voice and video communication support. You should also remove the --disable-gstreamer flag.

`--enable-cyrus-sasl`: Use this switch if you've installed Cyrus SASL-2.1.27 and wish to build Pidgin with SASL support.

`--disable-gnutls`: Use this switch if you've got both GnuTLS-3.7.3 and nss-3.75 installed, but want to use nss-3.75 for the SSL support.

## Configuring Pidgin

###

#### Config Files

`~/.purple/*` and `~/.gtkrc-2.0`

###

#### Configuration Information

Most configuration can be accomplished by using the various preference settings inside the programs. Additionally, you can create a `~/.gtkrc-2.0` file which can store gtk+-2 theme settings that affect Pidgin and other Gtk+ 2 applications. Note that an example `gtkrc-2.0` file was installed during the package installation and can be used as a starting point or reference.

## Contents

Installed Programs: pidgin, purple-client-example, purple-remote, purple-send, purple-send-async, and purple-url-handler
Installed Library: libpurple.so, and libpurple-client.so
Installed Directories: /usr/include/libpurple, /usr/include/pidgin, /usr/lib/pidgin, /usr/lib/purple-2, /usr/share/doc/pidgin-2.14.8, /usr/share/pixmaps/pidgin, /usr/share/purple, and /usr/share/sounds/purple

### Short Descriptions

pidgin | is a GTK+ 2 instant messaging client
purple-client-example | is an example that demonstrates how to use the libpurple-client library to communicate with purple
purple-remote | sends remote commands to Pidgin/Finch
purple-send | calls purple API functions using DBus and prints the return value
purple-send-async | calls purple API functions using DBus. As opposed to purple-send, it does not print the return value
purple-url-handler | is a python script to handle URLs with purple

Last updated on

- Prev

  Inkscape-1.1.2

- Next

  Rox-Filer-2.11

- Up
- Home